// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A


#ifndef __PILA_HPP__
#define __PILA_HPP__


// Clase PILA permite manipular una pila de longitud variable creada dinamicamente
class PILA {
   private:
      unsigned int NUM_ELEMENTOS_PILA;    // Indica el numero maximo de elementos de la pila
      char **Bufer;                       // Puntero a los elementos de la pila
      char *xcad;                         // Puntero a una cadena temporal
      int  Elemento_actual;                      // Indica el elemento actual

   public:
      PILA(unsigned int num_elementos_pila);
      ~PILA();
      void Meter(const char *cadena);
      void Sacar(char *cad);
};

#endif

