// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A


#include "v_pixel.hpp"

// Inicializa el arreglo de pixeles con el valor VAL
void Arreglo_pixeles::Inicializa(const unsigned int pix_x, const unsigned int pix_y, const unsigned int val)
{
   if(Activo) return;
   // Declara el arreglo para los renglones
   Arreglo = new Definicion_pixel *[pix_y];
   // Declara el arreglo para las columnas dentro de cada renglon
   for(i1 = 0; i1 < pix_y; i1++) Arreglo[i1] = new Definicion_pixel [pix_x];
   Num_X = pix_x, Num_Y = pix_y;
   Activo = 1;
   Asigna_todo_array(val);
}


// Asigna el valor al pixel (X,Y) el valor VAL
void Arreglo_pixeles::Asigna_valor(const unsigned int pix_x, const unsigned int pix_y, const unsigned int val)
{
   if(!Activo) return;
   // Valida la direccion del pixel
   if(pix_x <= Num_X && pix_y <= Num_Y) Arreglo[pix_y][pix_x].pixel = val;
}


// Destruye el contenido del arreglo
void Arreglo_pixeles::Destruye(void)
{
   if(!Activo) return;
   // Destruye el arreglo 
   for(i1 = 0; i1 < Num_Y; i1++) delete []Arreglo[i1];
   delete []Arreglo;
   Activo = 0;
}


// Asigna a todo el array el valor especificado
void Arreglo_pixeles::Asigna_todo_array(const unsigned int val)
{
   for(i1 = 0; i1 <  Num_Y; i1++) {
      for(i2 = 0; i2 <  Num_X; i2++) Arreglo[i1][i2].pixel = val;
   }
}


