/*

#include <string.h>
#include <stdlib.h>
#include "cad_car.hpp"
#include "fechas.hpp"



void Convierte_caracter(const int num, char *cad)
{
   itoa(num,cad,10);
}


void Convierte_caracter(const unsigned int num, char *cad)
{
   itoa(num,cad,10);
}


void Convierte_caracter(const long num, char *cad)
{
   ltoa(num,cad,10);
}

void Convierte_caracter(const unsigned long num, char *cad)
{
   ultoa(num,cad,10);
}

void Convierte_caracter(const float num, char *cad)
{
   gcvt(num,16,cad);
}

void Convierte_caracter(const double num, char *cad)
{
   gcvt(num,16,cad);
}

void Convierte_caracter(const long double num, char *cad)
{
   gcvt(num,16,cad);
}


void Convierte_caracter(const char *text, const unsigned int ent, const unsigned int dec, char *cad)
{
   strcpy(cad,s_formato(text,ent,dec));
}


void Convierte_caracter(const int num, const unsigned int ent, const unsigned int dec, char *cad)
{
   itoa(num,xarr1,10);
   strcpy(xarr2,s_formato(xarr1,ent,dec));
}


char *Convierte_caracter(const int unsigned num, const unsigned int ent, const unsigned int dec)
{
   itoa(num,xarr1,10);
   strcpy(xarr2,s_formato(xarr1,ent,dec));
   return xarr2;
}


char *Convierte_caracter(const long num, const unsigned int ent, const unsigned int dec)
{
   ltoa(num,xarr1,10);
   strcpy(xarr2,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const unsigned long num, const unsigned int ent, const unsigned int dec)
{
   ultoa(num,xarr1,10);
   strcpy(xarr2,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const float num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   return xarr1;
}

char *Convierte_caracter(const double num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   return xarr1;
}

char *Convierte_caracter(const long double num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   return xarr1;
}


char *Convierte_caracter(const char *txt, const int num)
{
   itoa(num,xarr1,10);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}


char *Convierte_caracter(const char *txt, const unsigned int num)
{
   itoa(num,xarr1,10);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}


char *Convierte_caracter(const char *txt, const long num)
{
   ltoa(num,xarr1,10);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}

char *Convierte_caracter(const char *txt, const unsigned long num)
{
   ultoa(num,xarr1,10);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}

char *Convierte_caracter(const char *txt, const float num)
{
   gcvt(num,16,xarr1);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}

char *Convierte_caracter(const char *txt, const double num)
{
   gcvt(num,16,xarr1);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}



char *Convierte_caracter(const char *txt, const long double num)
{
   gcvt(num,16,xarr1);
   strcpy(xarr2,txt);
   strcat(xarr2,xarr1);
   return xarr2;
}


char *Convierte_caracter(const char *txt, const char *text, const unsigned int ent, const unsigned int dec)
{
   s_concatena_cads(xarr1,txt,s_formato(text,ent,dec));
   return xarr1;
}


char *Convierte_caracter(const char *txt, const int num, const unsigned int ent, const unsigned int dec)
{
   itoa(num,xarr1,10);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}


char *Convierte_caracter(const char *txt, const unsigned int num, const unsigned int ent, const unsigned int dec)
{
   itoa(num,xarr1,10);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}


char *Convierte_caracter(const char *txt, const long num, const unsigned int ent, const unsigned int dec)
{
   ltoa(num,xarr1,10);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const char *txt, const unsigned long num, const unsigned int ent, const unsigned int dec)
{
   ultoa(num,xarr1,10);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const char *txt, const float num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const char *txt, const double num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}

char *Convierte_caracter(const char *txt, const long double num, const unsigned int ent, const unsigned int dec)
{
   s_conv_double_char(num,ent,dec,xarr1);
   s_concatena_cads(xarr2,txt,s_formato(xarr1,ent,dec));
   return xarr2;
}


char *Convierte_caracter_f(const char *fecha)
{
   f_poner_delim(fecha,xarr1);
   return xarr2;
}



char *Convierte_caracter_p(const char *txt, const unsigned int lg)
{
   // Devera checar al carater de control de visualizacion
   s_concatena_cads(xarr1,s_lsubstr(txt,lg),"-");
   return xarr1;
}


char *Convierte_caracter_pe(const char *txt, const unsigned int pi, const unsigned int lg)
{
   // Devera checar al carater de control de visualizacion
   s_substr(txt,pi,lg,xarr1);
   return xarr1;
}


int s_strlen_sfcl(const char *cad)
{
   int xi = 0;
   while(*cad) {
     if(*cad == 127) cad += 5;
      else cad++, xi++;
   }
   return xi;
}


char *Convierte_caracter(const char *text1, const char *text2)
{
   strcpy(xarr1,text1);
   strcat(xarr1,text2);
   return xarr1;
}

char *Convierte_caracter(const char *text1, const char *text2, const char *text3)
{
   strcpy(xarr1,text1);
   strcat(xarr1,text2);
   strcat(xarr1,text3);
   return xarr1;
}

char *Convierte_caracter(const char *text1, const char *text2, const char *text3, const char *text4)
{
   strcpy(xarr1,text1);
   strcat(xarr1,text2);
   strcat(xarr1,text3);
   strcat(xarr1,text4);
   return xarr1;
}
*/

