// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A


int Busca_expresion(const char *cad, const char *exp, unsigned int &pos);
  // Busca una expresion EXP, dentro de la cadena CAD (expresion es una variable o funcion)
  // La expresion buscada estara delimitada por
  //    Al inicio {}[]()=,.*-/+  o el inicio de la cadena
  //    Al final  {}[]()=,.*-/+ o fin de la cadena
  // retornando la posicin donde inicia esta, retorna 0 si no lo encuentra


#include "cad_car.hpp"



// Busca una expresion dentro de otra
int Busca_expresion(const char *cad, const char *exp, unsigned int &pos)
{
   unsigned int xi = 0, in = 0, xpos;
   pos = 0;
   const char *xp;
   char car = 0;
   while(*cad) {
      if(*cad == *exp) {
         xi = 0, in = 1;
         xp = exp;
         while(*xp) {
            if(*(cad+xi) != *xp) {
               in = 0;
               break;
            }
            xp ++,xi++;
         }
         if(in) {
            if((car == 0 || s_busca_caracter("{}[]()=,.*-/+ ",car,xpos)) && (!*(cad+xi) || s_busca_caracter("{}[]()=,.*-/+ ",*(cad+xi),xpos))) return 1;
         }
      }
      car = *cad;
      cad++, pos++;
   }
   return 0;
}



