// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A



int Busqueda_remplaza_expresiones(char *exp, const char *bus, const char *rem);
  // Remplaza de la cadena CAD la cedena buscada BUS por la cedena REM (todas las ocurrencias)
  // Retorna 0 si no se realizo remplazo alguno, en caso contrario retorna 1


#include "cad_car.hpp"
extern "C" {
   #include <stdio.h>
   #include <string.h>
}


int Busqueda_remplaza_expresiones(char *exp, const char *bus, const char *rem)
{
   if(exp[0] == 0 || bus[0] == 0 || rem[0] == 0) return 0;
   char *xcad1, *xcad2;
   unsigned int lg_bus, lg_cad, lg_rem, pos, st = 0;;
   lg_bus = strlen(bus);
   lg_rem = strlen(rem);
   while(Busca_expresion(exp,bus,pos)) {
      lg_cad = strlen(exp);
      xcad1 = new char[lg_cad + lg_rem + 10];
      xcad2 = new char[lg_cad + lg_rem + 10];
      s_substr(exp,0,pos,xcad1);
      s_substr(exp,(pos+lg_bus),lg_cad,xcad2);
      sprintf(exp,"%s%s%s",xcad1,rem,xcad2);
      delete []xcad1;
      delete []xcad2;
      st = 1;
   }
   return st;
}


