// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A

extern "C" {
   #include <dos.h>
}


// Retorna el numero de archivos y/o directorios encontrados en la trayectoria
// PATH segun las indicaciones de busqueda especificada en ATRIB_BUS
// Atributos (_A_ARCH)   Archivo
//           (_A_SUBDIR) Subdirectorios
int n_archivos_directorios(const char *path, const unsigned int atrib_bus);



int n_archivos_directorios(const char *path, const unsigned int atrib_bus)
{
   int done = 0, i = 0;
   struct find_t est_arch;
   done = _dos_findfirst(path,_A_NORMAL|_A_RDONLY|_A_HIDDEN|_A_SUBDIR|_A_ARCH,&est_arch);
   while(!done) {
      if(!(est_arch.name[0]== 46 && est_arch.name[1] != 46)) {
         // Solo cuenta subdirectorios exepto el propio
         if(atrib_bus == _A_SUBDIR) {
            if(est_arch.attrib & _A_SUBDIR) i++;
         } 
         if(atrib_bus == _A_ARCH) {
            if(!(est_arch.attrib & _A_SUBDIR)) i++;
         } 
      }
      done = _dos_findnext(&est_arch);
   }
   return i;
}

