// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A


void Tabla_ascii(void);
   // Rutina que muestra una ventana en la cual se visualiza la tabla del codigo ASCII

#include <stdio.h>
#include "vis_ayud.hpp"


void Tabla_ascii(void)
{
   char xcad[300];
   Vis_archivo *Ve = new Vis_archivo;
   Ve->Parametros(" ","TABLA ASCII",350,300,VISUALIZA);
   // Carga el sistema y las ecuaciones al visualizador
   Ve->Adiciona_linea("Codigo  Caracter   Codigo  Caracter");
   for(int i = 0; i < 128; i++) {
       sprintf(xcad,    " %#03d       %c        %#03d      %c",i,(i == 0 ? 32: i),i+128,i+128);
       Ve->Adiciona_linea(xcad);
   }
   Ve->Loop();
   delete Ve;
}



