// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A



void Busqueda_remplaza_cadenas(char *cad, const char *bus, const char *rem);
  // Remplaza de la cadena CAD la cedena buscada BUS por la cedena REM (todas las ocurrencias


#include "cad_car.hpp"
extern "C" {
   #include <stdio.h>
   #include <string.h>
}


void Busqueda_remplaza_cadenas(char *cad, const char *bus, const char *rem)
{
   if(cad[0] == 0 || bus[0] == 0 || rem[0] == 0) return;
   char *xcad1, *xcad2;

   unsigned int lg, lg_bus, lg_cad, lg_rem, pos;
   lg_bus = strlen(bus);
   lg_rem = strlen(rem);
   while(Busca_cadena(cad,bus,pos)) {
      lg_cad = strlen(cad);
      if(lg_cad > 65000u) {
         cad[0] = 0;
         return;
      }
      lg = lg_cad + lg_rem + 100;
      xcad1 = new char[lg];
      xcad2 = new char[lg];
      s_substr(cad,0,pos,xcad1);
      s_substr(cad,(pos+lg_bus),lg_cad,xcad2);
      sprintf(cad,"%s%s%s",xcad1,rem,xcad2);
      delete []xcad1;
      delete []xcad2;
   }
}
