// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A


int s_n_veces_cad(const char *cadena, const char *cbus);
  // Cuenta el numero de veces que una cadena CBUS aparece en la cadena CADENA, empesando en la
  // posicion POSI y termina en la posicion POSF, si no lo encuentra retorna cero


int s_n_veces_cad(const char *cadena, const char *cbus)
{
   const char *pcbus;
   int i = 0, xi = 0, nv = 0;
   while(*cadena) {
      if(*cadena == *cbus) {
         pcbus = cbus;
         i = xi = 0;
         while(*(pcbus+xi)) {
	        if(*(cadena+i) != *(pcbus+xi)) break;
           xi++,i++;
	      }
         if(!*(pcbus+xi)) nv++;
	   }
   }
   return nv;
}

