// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.1-A



extern "C" {
   #include <dos.h>
   #include <stdlib.h>
   #include <string.h>
}
#include "cad_car.hpp"


// Retorna el nombre del archivo y/o directorio que se encuentren en el PATH,
// segun los atributos de busqueda indicados en ATRIB_BUS, si T_P es distinto de cero
// inicializa la busqueda en caso contrario la ontinua apartir del ultimo archivo
// encontrado
// Atributos (_A_ARCH)   Archivo
//           (_A_SUBDIR) Subdirectorios
void nombre_archivo_directorio(const char *path, const unsigned int atrib_bus, const unsigned int t_p, char *arch);


void nombre_archivo_directorio(const char *path, const unsigned int atrib_bus, const unsigned int t_p, char *archivo)
{
   static int done = 0;
   static struct find_t est_arch;
//   char bytes[50];
   archivo[0] = 0;
   if(t_p) done = _dos_findfirst(path,_A_NORMAL|_A_RDONLY|_A_HIDDEN|_A_SUBDIR|_A_ARCH,&est_arch);
   if(!done) {
      // Descarta el subdirectorio actual
      if(est_arch.name[0] == 46 && est_arch.name[1] != 46) done = _dos_findnext(&est_arch);
      // Solo considera a los Subdirectorios
      if(atrib_bus == _A_SUBDIR) {
         if(!(est_arch.attrib & _A_SUBDIR)) {
            while(!done) {
              done = _dos_findnext(&est_arch);
              if(est_arch.attrib & _A_SUBDIR) break;
            }
            if(done) return;
         }
      }
      // Solo considera a los archivos
      if(atrib_bus == _A_ARCH) {
         if(est_arch.attrib & _A_SUBDIR) {
            while(!done) {
              done = _dos_findnext(&est_arch);
              if(!(est_arch.attrib & _A_SUBDIR)) break;
            }
            if(done) return;
         }
      }
      
      s_r_t(est_arch.name,14,32,archivo);
//      if(atrib_bus != FA_DIREC && est_arch.attrib != FA_DIREC) {
//         ltoa(est_arch.size,bytes,10);
//         strcat(archivo,s_formato(bytes,12,0));
//      }
      done = _dos_findnext(&est_arch);
   }
}
