// Autor:     Antonio Carrillo Ledesma.
// R.F.C.:    CALA-691229-TV5
// Direccin: Amsterdam 312 col. Hipodromo Condesa
// Telfono:  5-74-43-53

// Propiedad intelectual, todos los derechos reservados conforme a la ley, registro en trmite
// Revisin  1.0-A

#ifndef __TECLADO_HPP__
#define __TECLADO_HPP__


// Define la tecla y el codigo respectivo de esta




//               Tecla         Codigo


#define INSERT                    20992
#define CAPS_LOCK                 301
#define NUM_LOCK                  302
#define SCROLL_LOCK               303
#define ALT                       304
#define CTRL                      305
#define SHIFT                     306
#define ESC                       283
#define ENTER                    7181
#define HOME                    18176
#define CTRL_HOME               30464
#define END                     20224
#define CTRL_END                29952
#define BACKSPACE                3592
#define DEL                     21248
#define INS                     21992
#define TAB                      3849
#define SHIFT_TAB                3840
#define FLECHA_IZQUIERDA        19200
#define SHIFT_FLECHA_IZQUIERDA  19201
#define CTRL_FLECHA_IZQUIERDA   29440
#define FLECHA_DERECHA          19712
#define SHIFT_FLECHA_DERECHA    19713
#define CTRL_FLECHA_DERECHA     29696
#define FLECHA_ARRIBA           18432
#define SHIFT_FLECHA_ARRIBA     18433
#define FLECHA_ABAJO            20480
#define SHIFT_FLECHA_ABAJO      20481
#define PGUP                    20736
#define PGDN                    18688
#define CTRL_PGUP              -31744
#define CTRL_PGDN               30208
#define F1                      15104
#define SHIFT_F1                21504
#define CTRL_F1                 24064
#define ALT_F1                  26624
#define F2                      15360
#define SHIFT_F2                21760
#define CTRL_F2                 24320
#define ALT_F2                  26880
#define F3                      15616
#define SHIFT_F3                22016
#define CTRL_F3                 24576
#define ALT_F3                  27136
#define F4                      15872
#define SHIFT_F4                22272
#define CTRL_F4                 24832
#define ALT_F4                  27392
#define F5                      16128
#define SHIFT_F5                22528
#define CTRL_F5                 25088
#define ALT_F5                  27648
#define F6                      16384
#define SHIFT_F6                22784
#define CTRL_F6                 25344
#define ALT_F6                  27904
#define F7                      16640
#define SHIFT_F7                23040
#define CTRL_F7                 25600
#define ALT_F7                  28160
#define F8                      16896
#define SHIFT_F8                23296
#define CTRL_F8                 25856
#define ALT_F8                  28416
#define F9                      17152
#define SHIFT_F9                23552
#define CTRL_F9                 26112
#define ALT_F9                  28672
#define F10                     17408
#define SHIFT_F10               23808
#define CTRL_F10                26368
#define ALT_F10                 28928
#define CTRL_A                   7681
#define CTRL_B                  12290
#define CTRL_C                  11779
#define CTRL_D                   8196
#define CTRL_E                   4613
#define CTRL_F                   8454
 #define CTRL_F_N                8455
 #define CTRL_F_P                8456
 #define CTRL_F_W                8457
#define CTRL_G                   8711
#define CTRL_H                   8968
#define CTRL_I                   5897
#define CTRL_J                   9226
 #define CTRL_J_D                9227
 #define CTRL_J_P                9228
#define CTRL_K                   9483
 #define CTRL_K_C                9484
 #define CTRL_K_P                9485
 #define CTRL_K_R                9486
 #define CTRL_K_V                9487
 #define CTRL_K_W                9488
 #define CTRL_K_Y                9489
 #define CTRL_K_1                9490
 #define CTRL_K_2                9491
 #define CTRL_K_3                9492
 #define CTRL_K_4                9493
 #define CTRL_K_5                9494
 #define CTRL_K_6                9495
 #define CTRL_K_7                9496
 #define CTRL_K_8                9497
 #define CTRL_K_9                9498
#define CTRL_L                   9740
#define CTRL_M                  12813
 #define CTRL_M_D               12814
 #define CTRL_M_P               12815
#define CTRL_N                  12558
  #define CTRL_N_A              12559
  #define CTRL_N_C              12560
  #define CTRL_N_E              12561
  #define CTRL_N_L              12562
  #define CTRL_N_N              12563
  #define CTRL_N_T              12564
  #define CTRL_N_S              12565
  #define CTRL_N_V              12566 
#define CTRL_O                   6159
 #define CTRL_O_N                6160
#define CTRL_P                   6416
#define CTRL_Q                   4113
 #define CTRL_Q_A                4114
 #define CTRL_Q_B                4115
 #define CTRL_Q_C                4116
 #define CTRL_Q_F                4117
 #define CTRL_Q_K                4118
 #define CTRL_Q_R                4119
 #define CTRL_Q_1                4120
 #define CTRL_Q_2                4121
 #define CTRL_Q_3                4122
 #define CTRL_Q_4                4123
 #define CTRL_Q_5                4124
 #define CTRL_Q_6                4125
 #define CTRL_Q_7                4126
 #define CTRL_Q_8                4127
 #define CTRL_Q_9                4128
#define CTRL_R                   4882
#define CTRL_S                   7955
#define CTRL_T                   5140
#define CTRL_U                   5653
#define CTRL_V                  12054 
#define CTRL_W                   4375
#define CTRL_X                  11544
#define CTRL_Y                   5401
#define CTRL_Z                  11290
#define ALT_A                    7680
#define ALT_B                   12280
#define ALT_C                   11776
#define ALT_D                    8192
#define ALT_E                    4608
#define ALT_F                    8448
#define ALT_G                    8704
#define ALT_H                    8960
#define ALT_I                    5888
#define ALT_J                    9216
#define ALT_K                    9472
#define ALT_L                    9728
#define ALT_M                   12800
#define ALT_N                   12544
#define ALT_O                    6144
#define ALT_P                    6400
#define ALT_Q                    4096
#define ALT_R                    4864
#define ALT_S                    7936
#define ALT_T                    5120
#define ALT_U                    5632
#define ALT_V                   12032
#define ALT_W                    4352
#define ALT_X                   11520
#define ALT_Y                    5376
#define ALT_Z                   11264

#define FLECHA_ABAJO__HOME        -98
#define FLECHA_ARRIBA__END        -99




#define TABULADOR                   8
#endif


